/**
 * 默认字典数据
 */
export async function getLinkType() {
  return {
    list: [
      { value: '0', label: '应用组件', text: '应用组件', comments: '' },
      { value: '1', label: '外部链接', text: '外部链接', comments: '' }
    ]
  };
}

// 默认字典数据
export function getJson(dictName) {
  if (dictName == 'customerFollowStatus') {
    return [
      { value: '1', label: '初访', text: '初访', comments: '' },
      { value: '2', label: '意向', text: '意向', comments: '' },
      { value: '3', label: '报价', text: '报价', comments: '' },
      { value: '4', label: '成交', text: '成交', comments: '' },
      { value: '5', label: '暂时搁置', text: '暂时搁置', comments: '' },
      { value: '6', label: '未成交', text: '未成交', comments: '' }
    ];
  }
  if (dictName == 'customerCategory') {
    return [
      { value: 'my', label: '我创建的', text: '我创建的', comments: '' },
      { value: 'stars', label: '标星客户', text: '标星客户', comments: '' },
      { value: 'join', label: '我协作的', text: '我协作的', comments: '' }
    ];
  }
  if (dictName == 'orderType') {
    return [
      { value: 'all', label: '全部订单', text: '全部订单', comments: '' },
      { value: 'delivery', label: '待发货', text: '待发货', comments: '' },
      { value: 'receipt', label: '待收货', text: '待收货', comments: '' },
      { value: 'pay', label: '待付款', text: '待付款', comments: '' },
      { value: 'complete', label: '已完成', text: '已完成', comments: '' },
      { value: 'cancel', label: '已取消', text: '已取消', comments: '' }
    ];
  }
  if (dictName == 'customerSource') {
    return [
      { value: '搜索引擎', label: '搜索引擎', text: '搜索引擎', comments: '' },
      { value: '客户介绍', label: '客户介绍', text: '客户介绍', comments: '' },
      { value: '代理商', label: '代理商', text: '代理商', comments: '' },
      { value: '社交推广', label: '社交推广', text: '社交推广', comments: '' },
      { value: '其他', label: '其他', text: '其他', comments: '' }
    ];
  }
  if (dictName == 'serverBrand') {
    return [
      { value: '阿里云', label: '阿里云', text: '阿里云', comments: '' },
      { value: '腾讯云', label: '腾讯云', text: '腾讯云', comments: '' },
      { value: '华为云', label: '华为云', text: '华为云', comments: '' },
      { value: '西部数码', label: '西部数码', text: '西部数码', comments: '' },
      { value: '其他', label: '其他', text: '其他', comments: '' }
    ];
  }
  if (dictName == 'orderType') {
    return [
      { value: 'all', label: '全部订单', text: '全部订单', comments: '' },
      { value: 'delivery', label: '待发货', text: '待发货', comments: '' },
      { value: 'receipt', label: '待收货', text: '待收货', comments: '' },
      { value: 'pay', label: '待付款', text: '待付款', comments: '' },
      { value: 'complete', label: '已完成', text: '已完成', comments: '' },
      { value: 'cancel', label: '已取消', text: '已取消', comments: '' }
    ];
  }
  if (dictName == 'sex') {
    return [
      { value: '1', label: '男', text: '男', comments: null },
      { value: '2', label: '女', text: '女', comments: null }
    ];
  }
  if (dictName == 'payMethod') {
    return [
      {
        value: '余额支付',
        label: '余额支付',
        text: '余额支付'
      },
      {
        value: '微信支付',
        label: '微信支付',
        text: '微信支付'
      },
      { value: '支付宝', label: '支付宝', text: '支付宝' }
    ];
  }
}
